std::messages(3)

NAME
std::messages - std::messages

Synopsis
   Defined in header <locale>
   template< class CharT >
   class messages;
   Class template std::messages is a standard locale facet that encapsulates retrieval
   of strings from message catalogs, such as the ones provided by GNU gettext or by
   POSIX catgets.
   The source of the messages is implementation-defined.
   std-messages-inheritance.svg
                        Inheritance diagram
   Two standalone (locale-independent) specializations are provided by the standard
   library:
   Defined in header <locale>
   std::messages<char> accesses narrow string message catalog
   std::messages<wchar_t> accesses wide string message catalog
   In addition, every locale object constructed in a C++ program implements its own
   (locale-specific) versions of these specializations.

Member types
   Member type Definition
   char_type CharT
   string_type std::basic_string<CharT>

Member functions
   constructor constructs a new messages facet
                 (public member function)
   destructor destructs a messages facet
                 (protected member function)
   open invokes do_open
                 (public member function)
   get invokes do_get
                 (public member function)
   close invokes do_close
                 (public member function)

Member objects
   static std::locale::id id id of the locale
                        (public member object)

Protected member functions
   do_open opens a named message catalog
   [virtual] (virtual protected member function)
   do_get retrieves a message from an open message catalog
   [virtual] (virtual protected member function)
   do_close closes a message catalog
   [virtual] (virtual protected member function) Inherited from std::messages_base
   Type Definition
   catalog /*unspecified signed integer type*/

See also
   messages_base defines messages catalog type
                   (class template)
   messages_byname creates a messages facet for the named locale
                   (class template)